Subject: Response codes for SMTP servers requiring auth/security

From: "Jeff Stephenson (Exchange)" <[email-masked]>
Date: Wed, 14 May 1997 12:14:07 -0700

There are many cases in which an SMTP server might wish to require that
all connections to it be secure, authenticated, or both.  In those cases
it would be nice if the server could reject SMTP commands with a more
informative response code than "554 Transaction failed" so that the
client software could know to authenticate or initiate security.

I think that such reply codes should be included in the SMTP-AUTH draft.
A provision has been added to the most recent SMTP-SSL draft
(draft-hoffman-smtp-ssl-02.txt) for this, though the reply code
specified there will probably change.  The SMTP-AUTH and SMTP-SSL drafts
should coordinate on this so that there is a generic "Secure channel
required" reply code.  I would suggest something along the lines of:

555  Secure channel required
556  Client authentication required

Another approach would be to go to the enhanced status codes of RFC 1893
- codes in the 5.7.x category would seem appropriate there.

-- jeff